require_relative 'lib/latias/influxdb/version'

Gem::Specification.new do |spec|
  spec.name        = 'latias-influxdb'
  spec.version     = Latias::Influxdb::VERSION
  spec.authors     = ['nattanon']
  spec.email       = ['nattanon@hospital-os.com']
  spec.homepage    = 'https://gitlab.opensource-technology.com/nattanon/latias-influxdb'
  spec.summary     = 'Ruby library for InfluxDB 2. to use in rails.'
  spec.license     = 'MIT'

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  spec.metadata['homepage_uri'] = spec.homepage
  spec.metadata['source_code_uri'] = spec.homepage
  # spec.metadata['changelog_uri'] = spec.homepage

  spec.files = Dir['{config,lib}/**/**/*', 'MIT-LICENSE', 'Rakefile', 'README.md']

  spec.add_dependency 'influxdb-client', '~> 1.16.0.pre.2890'
  spec.add_dependency 'rails', '~> 6.1.4'
end
